Bug 444178 - x86: clear DF before calling signal handler
x86: clear DF before calling signal handler
Status: CLOSED DUPLICATE of bug 436131
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Anton Arapov
Martin Jenner
:
Depends On: 436799
Blocks: 434401
  Show dependency treegraph
 
Reported: 2008-04-25 13:22 EDT by Rex Dieter
Modified: 2014-06-18 04:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 07:27:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-04-25 13:22:51 EDT
+++ This bug was initially created as a clone of Bug #436799 +++

+++ This bug was initially created as a clone of Bug #434401 +++

This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=444164
Exit code was 1, check the build.log for the failed buildArch task.

-- Additional comment from jonstanley@gmail.com on 2008-03-01 15:21 EST --
scratch build 482744

-- Additional comment from jonstanley@gmail.com on 2008-03-02 01:10 EST --

; compiling (DEFINE-MOVE-VOP MOVE-FROM-DOUBLE ...)unhandled
SB-SYS:MEMORY-FAULT-ERROR in thread #<SB-THREAD:THREAD "initial thread" {A714909}>:
  Unhandled memory fault at #x0.

0: (SB-DEBUG:BACKTRACE 128 #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {90B3F01}>)
1: (SB-DEBUG::DEBUGGER-DISABLED-HOOK
    #<SB-SYS:MEMORY-FAULT-ERROR {BEF46B1}>
    #<unavailable argument>)
2: (INVOKE-DEBUGGER #<SB-SYS:MEMORY-FAULT-ERROR {BEF46B1}>)
3: (INVOKE-DEBUGGER #<SB-SYS:MEMORY-FAULT-ERROR {BEF46B1}>)
4: (ERROR SB-SYS:MEMORY-FAULT-ERROR)
5: (SB-SYS:MEMORY-FAULT-ERROR)
6: (SB-SYS:MEMORY-FAULT-ERROR)
7: ("foreign function: #x805FD5C")
8: ("foreign function: #x805FFB8")



-- Additional comment from rdieter@math.unl.edu on 2008-03-06 15:29 EST --
Confirmed on upstream sbcl ml, debian'ers are also seeing fatal problems on
gcc-4.3-derived systems.

-- Additional comment from rdieter@math.unl.edu on 2008-03-10 10:10 EST --
My most recent post to upstream ml:
"[Sbcl-devel] sbcl doesn't run on gcc-4.3 environment?"
http://sourceforge.net/mailarchive/forum.php?thread_name=fr3e81%242tj%241%40ger.gmane.org&forum_name=sbcl-devel

-- Additional comment from rdieter@math.unl.edu on 2008-03-10 10:21 EST --
gcc43/kernel bug? sbcl devs pointed me to:
"GCC 4.3.0 exposes a kernel bug"  http://lwn.net/Articles/272048/
(I'm not currently an lwn subscriber, so can't access the article, yet).

-- Additional comment from rdieter@math.unl.edu on 2008-03-10 10:57 EST --
Fix upstreamed:
http://marc.info/?l=git-commits-head&m=120492000901739&w=2

So, hopefully just a matter of time to see this.

-- Additional comment from davej@redhat.com on 2008-03-10 11:02 EST --
latest builds should have this.
If not, todays definitely will.


-- Additional comment from rdieter@math.unl.edu on 2008-03-10 11:16 EST --
Thanks, I'll sync my rawhide lappy, and see how things go.
Comment 1 Rex Dieter 2008-04-25 13:25:09 EDT
sbcl/f9 builds in fedora buildsys using RHEL5 continue to fail,
http://koji.fedoraproject.org/koji/taskinfo?taskID=583155

I suspect they will continue to do so, until when/if the buildsys hosts' kernels
are patched.
Comment 2 Chuck Ebbert 2008-04-27 22:11:09 EDT
Is there no RHEL5 fix for this yet?
Comment 3 Anton Arapov 2008-04-30 07:27:13 EDT

*** This bug has been marked as a duplicate of 436131 ***
Comment 4 Anton Arapov 2008-04-30 07:28:49 EDT
This is CVE-2008-1367:
bz#436131, included to kernel-2.6.18-87.el5
bz#437316, included to kernel-2.6.18-53.1.17.el5

Note You need to log in before you can comment on or make changes to this bug.